<?php

/**
* MVCnPHP - BaseCommand.class.php
*
* This source file is subject to version 2.02 of the PHP license,
* that is bundled with this package in the file LICENSE, and is
* available at through the world-wide-web at
* http://www.php.net/license/2_02.txt.
* If you did not receive a copy of the PHP license and are unable to
* obtain it through the world-wide-web, please send a note to
* license@php.net so we can mail you a copy immediately.
*
* @author Tony Bibbs <tony@geeklog.net>
* @copyright Tony Bibbs 2003
* @package net.geeklog.mvc
* @version $Id: CommandInterface.php,v 1.4 2005/03/17 05:08:38 tony Exp $
*
*/

/**
* Abstract class to be extended by all commands
*
* @author Tony Bibbs <tony@geeklog.net>
* @package net.geeklog.mvc
*
*/
interface MVCnPHP_CommandInterface {
    /**
    * Executes this command
    *
    * @author Tony Bibbs <tony@geeklog.net>
    * @access public
    * @return string Name of forward to send processing to
    *
    */
    public function execute();
}

?>