<?php

/**
* MVCnPHP - Constants.php
*
* This source file is subject to version 2.02 of the PHP license,
* that is bundled with this package in the file LICENSE, and is
* available at through the world-wide-web at
* http://www.php.net/license/2_02.txt.
* If you did not receive a copy of the PHP license and are unable to
* obtain it through the world-wide-web, please send a note to
* license@php.net so we can mail you a copy immediately.
*
* @author Tony Bibbs <tony@geeklog.net>
* @copyright Tony Bibbs 2003-2005
* @package net.geeklog.mvc
* @version $Id: Constants.php,v 1.4 2005/03/17 05:08:38 tony Exp $
*
*/

// MVC configuration types
define('MVC_XML', 'XMLLoader');
define('MVC_ARRAY', 'ArrayLoader');

// FORM attributes
define('MVC_POST', 1);
define('MVC_GET', 2);
define('MVC_BOTH', 0);

// Security constants
define('MVC_TRUSTED', 1);
define('MVC_UNTRUSTED', 0);

// General configuration settings
define('MVC_BASE_URL', 'baseurl');
define('MVC_BASE', 'dirbase');
define('MVC_DIRS', 'dirs');

// Mapping constants
define('MVC_VIEWS', 'views');
define('MVC_COMMANDS', 'commands');
define('MVC_FORWARDS', 'forwards');
define('MVC_NAME', 'name');
define('MVC_SECURE', 'secure');
define('MVC_DEFAULT', 'default');
define('MVC_TARGET', 'target');
define('MVC_TYPE', 'type');
define('MVC_MESSAGES', 'mvc_messages');
define('MVC_ERRORS', 'mvc_errors');
define('MVC_PRINT', 1);
define('MVC_STRING', 2);

?>