<?php

require_once 'PEAR/PackageFileManager.php';
$fm = new PEAR_PackageFileManager();
$options = array(
                'packagefile' => 'package.xml',
                'state' => 'stable',
                'version' => '2.1.2',
                'notes' => 'Stable release. XML Schema added as well as validation against it.',
                'filelistgenerator' => 'file',
                'baseinstalldir' => 'Geeklog/MVCnPHP',
                'package' => 'Geeklog_MVCnPHP',
                'summary' => 'An MVC implementation in PHP',
                'description' => 'This is a Model-View-Controller (MVC) implementation in PHP.  It
                	is not meant to be a reimplementation of, say, Struts but it does provide the 
                	basic features of an MVC implementation.',
                'doctype' => 'http://pear.php.net/dtd/package-1.0',
                'packagedirectory' => 'C:\Program Files\Apache Group\Apache2\htdocs\Projects\MVCnPHP',
                'license' => 'PHP License',
                'changelogoldtonew' => true,
                'roles' =>
                  array(
                      'xml' => 'php',
                      'xsd' => 'php',
                      'php' => 'php',
                      'txt' => 'doc',
                      '*' => 'data',
                       ),
                'dir_roles' =>
                  array(
                      'sql' => 'data',
                      'examples' => 'doc',
                      'tests' => 'test',
                       )
                );
$e = $fm->setOptions($options);
if (PEAR::isError($e)) {
    echo $e->getMessage();
    die();
}
$fm->addMaintainer('tbibbs', 'lead', 'Tony Bibbs', 'tony@geeklog.net');

$e = $fm->writePackageFile();
if (PEAR::isError($e)) {
    echo $e->getMessage();
    die();
}

?>
