<p>
<font color="Red"><?php echo $t->mvcMessages;?></font>
</p>
<p>
Welcome <?php if ($this->options['strict'] || (isset($t->user) && method_exists($t->user,'getFirstName'))) echo htmlspecialchars($t->user->getFirstName());?>!  This is the Account Manager that lets you manage all the accounts
within the Contact Manager application.  To view or edit an account, simply click on the name for 
the account you wish to work with.  To add an account you can click on the 'Create a New Account'
link below or you can click <a href="<?php echo htmlspecialchars($t->baseUrl);?>/index.php?cmd=editAccount">here</a>.  To delete an
account click on the 'Delete' link on the row of the account you wish to get rid of.
</p>

<table border="1">
<?php if ($this->options['strict'] || (isset($t) && method_exists($t,'hasAccounts'))) if ($t->hasAccounts()) { ?>
<tr>
    <th>Name</th>
    <th>Username</th>
    <th>Enabled</th>
    <th>Is Admin</th>
    <th>&nbsp;</th>
</tr>
<?php if ($this->options['strict'] || (is_array($t->accounts)  || is_object($t->accounts))) foreach($t->accounts as $key => $curAccount) {?>
<tr>
    <td>
        <a href="<?php echo htmlspecialchars($t->baseUrl);?>/index.php?cmd=editAccount&aid=<?php if ($this->options['strict'] || (isset($curAccount) && method_exists($curAccount,'getAccountId'))) echo htmlspecialchars($curAccount->getAccountId());?>">
            <?php if ($this->options['strict'] || (isset($curAccount) && method_exists($curAccount,'getLastName'))) echo htmlspecialchars($curAccount->getLastName());?>, <?php if ($this->options['strict'] || (isset($curAccount) && method_exists($curAccount,'getFirstName'))) echo htmlspecialchars($curAccount->getFirstName());?>
        </a>
    </td>
    <td><?php if ($this->options['strict'] || (isset($curAccount) && method_exists($curAccount,'getUserName'))) echo htmlspecialchars($curAccount->getUserName());?></td>
    <?php if ($this->options['strict'] || (isset($curAccount) && method_exists($curAccount,'getIsEnabled'))) if ($curAccount->getIsEnabled()) { ?>
    <td>Yes</td>
    <?php } else {?>
    <td>No</td>
    <?php }?>   
    <?php if ($this->options['strict'] || (isset($curAccount) && method_exists($curAccount,'getIsAdmin'))) if ($curAccount->getIsAdmin()) { ?>
    <td>Yes</td>
    <?php } else {?>
    <td>No</td>
    <?php }?> 
    <td><a href="<?php echo htmlspecialchars($t->baseUrl);?>/index.php?cmd=confirmDelete&aid=<?php if ($this->options['strict'] || (isset($curAccount) && method_exists($curAccount,'getAccountId'))) echo htmlspecialchars($curAccount->getAccountId());?>">Delete</a></td>
</tr>
<?php }?>
<tr>
    <td colspan="5" align="center"><a href="<?php echo htmlspecialchars($t->baseUrl);?>/index.php?cmd=editAccount">Create a New Account</a></td>
</tr>
<?php } else {?>
<p>
No accounts are on file yet.  <a href="<?php echo htmlspecialchars($t->baseUrl);?>/index.php?cmd=editAccount">Create a New Account!</a>
</p>
<?php }?>
</table>