<?php

/* Reminder: always indent with 4 spaces (no tabs). */

/**
 * PHPARCH - Contact Manager
 *
 * @author Tony Bibbs <tony@geeklog.net>
 * @copyright 2005
 * @version $Id:$
 *
 */

/**
 * Abstract class that knows how to handle active user sessions
 */
require_once 'BaseViewFlexyUser.php';

/**
 * Allows an administrator to maintain all look up values stored in the list_item table.
 *
 * @author Tony Bibbs <tony@geeklog.net>
 *
 */
class PHPARCH_SearchContactsView extends PHPARCH_BaseViewFlexyUser {
    /**
     * Shows the login page
     *
     * If we don't have a user object, we show the login page.  Otherwise we forward  the user on
     * to the user home page.  
     *
     * @author Tony Bibbs <tony@geeklog.net>
     * @access public
     * 
     */
    function processView()
    {       
        $this->setPageTitle('PHPARCH - Contact Search');
        $this->showHeader(true);
        $this->flexyHandle->compile('ContactSearch.thtml');
        $this->flexyHandle->outputObject($this); 
        $this->showFooter();
    }
}

?>