<?php

/* Reminder: always indent with 4 spaces (no tabs). */

/**
 * DVRS Improving Transition Outcommes.
 *
 * @author Tony Bibbs <tony@geeklog.net>
 * @copyright State of Iowa 2005
 * @version $Id: config.php,v 1.8 2005/03/23 17:06:44 tbibbs Exp $
 *
 */

// Absolute path to the directory that holds the application configuration file.  Must have a 
// trailing '/'.
$conf['path'] = 'C:/Program Files/Apache Group/Apache2/htdocs/Projects/PHPArch/';

// The base URL for the site.  Must *not* include a trailing slash!
$conf['site_url'] = 'http://localhost/Projects/PHPArch/public_html';

// Database settings
$conf['dbms'] = 'mysql';
$conf['db_host'] = 'localhost';
$conf['db_name'] = 'PHPARCH';
$conf['db_user'] = 'root';
$conf['db_pass'] = 'f00bar';

// You shouldn't have to touch anything below here unless you are a developer or an expert user
// with advanced needs.  All these *must* have a trailing slash
$conf['path_system'] = $conf['path'] . 'system/';
$conf['path_views'] = $conf['path'] . 'views/';
$conf['path_commands'] = $conf['path'] . 'commands/';
$conf['path_templates'] = $conf['path'] . 'templates/';
$conf['path_pear'] = $conf['path_system'] . 'PEAR/';
$conf['path_propel_om'] = $conf['path_system'] . 'Propel/';
$conf['path_propel_config'] = $conf['path_propel_om'] . 'PHPARCH-conf.php';


//$conf['dao_object'] = 'PropelDAO';  // Global setting. This is the only option right now.
// This is the options to send to the above DAO object when it gets instantiated.  This can be
// overriden all the way down to the command/view level by simply passing an array with the 
// same basic structure.  You should *not*, however, change the options below via code.
$conf['dao_options'] = 
    array('dao_name'=>'PropelDAO',
            'namedQueryFile' => $conf['path_system'] . 'DataAccess/NamedQueries.xml',
            'databaseName' => $conf['db_name'],
            'pathDomainObjects' => 'PHPARCH/'
         );

// Set the include_path.  Because this is software that will get distributed, we don't care if they have
// PEAR installed.  The only way to gaurantee PEAR and its libraries will be at the right version is to 
// include them with this package.  That said, we are going to trash the path given from php.ini and go 
// ahead. NOTE: this will also include MVCnPHP, Propel and Creole which are not officially part of PEAR.
set_include_path($conf['path'] . PATH_SEPARATOR . $conf['path_propel_om'] . 
    PATH_SEPARATOR . $conf['path_pear']);
    
?>